WPS8TextInternal::Token Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WPS8TextInternal::Token Struct Reference

Internal: class to store a field definition (TOKN) More...

## Public Member Functions
| Token ()
| constructor More...

## Public Attributes
WPSField::Type | m_type
| the field type More...
int | m_textLength
| the length of the text corresponding to the token More...
int | m_unknown
| an unknown value More...
librevenge::RVNGString | m_text
| the field value More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator << More...

## Detailed Description

Internal: class to store a field definition (TOKN)

## Constructor & Destructor Documentation

WPS8TextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |
| friend

operator <<

## Member Data Documentation

std::string WPS8TextInternal::Token::m_error

a string used to store the parsing errors

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::tokenEndDataParser().

librevenge::RVNGString WPS8TextInternal::Token::m_text

the field value

Referenced by WPS8TextInternal::operator<<().

int WPS8TextInternal::Token::m_textLength

the length of the text corresponding to the token

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::tokenEndDataParser().

WPSField::Type WPS8TextInternal::Token::m_type

the field type

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::tokenEndDataParser().

int WPS8TextInternal::Token::m_unknown

an unknown value

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::tokenEndDataParser().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp